-- Migration: AddReactions
-- Created at: 26/05/2025 22:00:32

ALTER TABLE blog.post
ADD COLUMN possible_reactions TEXT;

CREATE TABLE blog.post_reaction
(
    post_id uuid REFERENCES blog.post(id),
    author_id uuid REFERENCES blog.author(id),
    emoji text not null,
    primary key (post_id, author_id, emoji)
);